Forum: Italian Ruby user group assets:precompile

B45ce5a6d799c6bc373050ecc9aafdcb?d=identicon&s=25 Lorenz RB (ratman)
on 2013-09-18 12:32
Ciao,

sto cercando di precompilare localmente la mia applicazione. Non ho mai
avuto alcun tipo di problema, tranne oggi in cui ricevo questo:

bundle exec rake assets:precompile --trace

** Invoke assets:precompile (first_time)
** Execute assets:precompile
C:/Ruby193/bin/ruby.exe C:/Ruby193/bin/rake assets:precompile:all
RAILS_ENV=production RAILS_GROUPS=assets --trace
** Invoke assets:precompile:all (first_time)
** Execute assets:precompile:all
** Invoke assets:precompile:primary (first_time)
** Invoke assets:environment (first_time)
** Execute assets:environment
** Invoke environment (first_time)
** Execute environment
** Invoke tmp:cache:clear (first_time)
** Execute tmp:cache:clear
** Execute assets:precompile:primary
rake aborted!
Error: Spazio dello stack esaurito
(in C:/.../my_project/app/assets/javascripts/application.js)

Premetto che sono sotto Windows, ho fatto alcune aggiunte al file
incriminato (funzionanti in development) e se prendo una qualsiasi altra
applicazione, il comando funziona correttamente.

Qualche aiuto?

Grazie.
Fe88efa62f2b20bdeb8689626d375f1e?d=identicon&s=25 Andrea Campolonghi (andreacfm)
on 2013-09-18 12:56
(Received via mailing list)
Potresti avere dei require che vanno in loop nel file application.js ?

Andrea

On Sep 18, 2013, at 12:32 PM, Lorenz RB <lorenzo.m@aviotraceswiss.com>
wrote:

> RAILS_ENV=production RAILS_GROUPS=assets --trace
> rake aborted!
>
> --
> Posted via http://www.ruby-forum.com/.
> _______________________________________________
> Ml mailing list
> Ml@lists.ruby-it.org
> http://lists.ruby-it.org/mailman/listinfo/ml

Andrea Campolonghi
acampolonghi@gmail.com
B45ce5a6d799c6bc373050ecc9aafdcb?d=identicon&s=25 Lorenz RB (ratman)
on 2013-09-18 13:11
Andrea Campolonghi wrote in post #1121755:
> Potresti avere dei require che vanno in loop nel file application.js ?

Ho i seguenti require, esattamente quelli che ho da almeno 2 mesi a
questa parte e con cui la precompilazione non ha dato problemi.

//= require jquery
//= require jquery-ui
//= require jquery_ujs
//= require jquery_nested_form
//= require dataTables/jquery.dataTables
//= require_tree

Il resto del file sono definizione "grafiche" con jQuery UI.
B45ce5a6d799c6bc373050ecc9aafdcb?d=identicon&s=25 Lorenz RB (ratman)
on 2013-09-18 14:37
Risolto.

C'era un file coffee (vuoto) che non aveva piĆ¹ ragione di esistere.

Grazie Andrea.
This topic is locked and can not be replied to.